Obtenir l’organisation
curl --request GET \
--url https://api.devin.ai/v3/enterprise/organizations/{org_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": 123,
"max_cycle_acu_limit": 123,
"max_session_acu_limit": 123,
"name": "<string>",
"org_id": "<string>",
"updated_at": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Organisations (Entreprise)
Obtenir l’organisation
Récupérer les détails d’une organisation spécifique au sein du compte Enterprise.
GET
/
v3
/
enterprise
/
organizations
/
{org_id}
Obtenir l’organisation
Autorisations
Nécessite un utilisateur de service ou un jeton d’accès personnel disposant de l’autorisationViewOrganizations au niveau Enterprise. L’autorisation ManageOrganizations donne également accès, car elle inclut ViewOrganizations.Autorisations
Identifiant de compte de service (préfixe : cog_)
Paramètres de chemin
ID d’organisation (préfixe : org-)
Exemple:
"org-abc123def456"

